This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 786345 - nfs:gnfs shown running using rpcinfo -p even though glusterd is stopped
nfs:gnfs shown running using rpcinfo -p even though glusterd is stopped
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
pre-release
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Vivek Agarwal
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-02-01 01:57 EST by Saurabh
Modified: 2016-02-17 19:03 EST (History)
5 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 14:00:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: 3.3.0qa33
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Saurabh 2012-02-01 01:57:33 EST
Description of problem:
Kill the gnfs process,
stop the volume 
stop the glusterd 

The rpcinfo -p, still shows gnfs/mount is still running
whereas according to me it should not be listed after stopping the glusterd.





Version-Release number of selected component (if applicable):

[root@RHSSA1 ~]# glusterfs -V
glusterfs 3.3.0qa20 built on Jan 31 2012 10:06:08
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2011 Gluster Inc. <http://www.gluster.com>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GlusterFS under the terms of the GNU General Public License.
[root@RHSSA1 ~]# 

How reproducible:


Steps to Reproduce:
1.As mentioned in the description part
2.
3.
  
Actual results:


Expected results:


Additional info:
[root@RHSSA1 ~]# less /root/330/inst/var/log/glusterfs/nfs.log 
[root@RHSSA1 ~]# /etc/init.d/glusterd stop
Stopping glusterd:                                         [  OK  ]
[root@RHSSA1 ~]# rpcinfo -p
   program vers proto   port  service
    100000    4   tcp    111  portmapper
    100000    3   tcp    111  portmapper
    100000    2   tcp    111  portmapper
    100000    4   udp    111  portmapper
    100000    3   udp    111  portmapper
    100000    2   udp    111  portmapper
    100024    1   udp  52373  status
    100024    1   tcp  48627  status
    100021    1   udp  55640  nlockmgr
    100021    3   udp  55640  nlockmgr
    100021    4   udp  55640  nlockmgr
    100021    1   tcp  55348  nlockmgr
    100021    3   tcp  55348  nlockmgr
    100021    4   tcp  55348  nlockmgr
    100005    3   tcp  38465  mountd
    100005    1   tcp  38466  mountd
    100003    3   tcp  38467  nfs
[root@RHSSA1 ~]# ps -eaf | grep glu
root     27907 27673  0 06:44 pts/0    00:00:00 grep glu

[root@RHSSA1 ~]# service nfs status
rpc.svcgssd is stopped
rpc.mountd is stopped
nfsd is stopped
Comment 1 Rajesh 2012-03-30 08:23:48 EDT
glusterd unregisters all the NFS and related services from the portmapper.
Hence, this is the expected behaviour w.r.t current implementation.
Perhaps we need to send gNfs SIGTERM instead of SIGKILL and let it unregister all the pmap registrations.
Sending a patch to unregister the NLM service in glusterd for now.
Comment 2 Anand Avati 2012-04-02 05:35:03 EDT
CHANGE: http://review.gluster.com/3052 (mgmt/glusterd: unregister NLM service from portmapper) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 3 Anand Avati 2012-04-17 09:08:16 EDT
CHANGE: http://review.gluster.com/3166 (nlm: unregister nlm v1 when gNfs is stopped) merged in master by Vijay Bellur (vijay@gluster.com)

Note You need to log in before you can comment on or make changes to this bug.